---
title: List source maps
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM
---

# List source maps{% #list-source-maps %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/sourcemaps/list |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/sourcemaps/list |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/sourcemaps/list      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/sourcemaps/list      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/sourcemaps/list  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/sourcemaps/list     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/sourcemaps/list |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/sourcemaps/list |

### Overview

Retrieves a paginated list of source maps matching the specified filter criteria. This endpoint requires the `rum_apps_read` permission.

### Arguments

#### Query Strings

| Name                   | Type    | Description                                                                                                     |
| ---------------------- | ------- | --------------------------------------------------------------------------------------------------------------- |
| mapkind                | enum    | The type of source map. Defaults to `js`. Allowed enum values: `js, jvm, ios, react, flutter, elf, ndk, il2cpp` |
| page[size]             | integer | The number of results to return per page. Must be at least 1.                                                   |
| page[number]           | integer | The page number to retrieve, starting from 1.                                                                   |
| filter[service]        | array   | Filter by service names (multiple values allowed). Required for `js`, `jvm`, `react`, and `flutter` map kinds.  |
| filter[version]        | array   | Filter by version values (multiple values allowed). Required for `js`, `jvm`, `react`, and `flutter` map kinds. |
| filter[variant]        | array   | Filter by variant values (multiple values allowed). Supported for `jvm`.                                        |
| filter[id]             | array   | Filter by source map ID values (multiple values allowed). Supported for all map kinds.                          |
| filter[build_id]       | array   | Filter by build ID values (multiple values allowed). Supported for `jvm`, `ndk`, and `il2cpp`.                  |
| filter[uuid]           | array   | Filter by UUID values (multiple values allowed). Supported for `ios`.                                           |
| filter[platform]       | array   | Filter by platform values (multiple values allowed). Supported for `react`.                                     |
| filter[build_number]   | array   | Filter by build number values (multiple values allowed). Supported for `react`.                                 |
| filter[bundle_name]    | array   | Filter by bundle name values (multiple values allowed). Supported for `react`.                                  |
| filter[arch]           | array   | Filter by architecture values (multiple values allowed). Supported for `flutter`, `elf`, and `ndk`.             |
| filter[symbol_source]  | array   | Filter by symbol source values (multiple values allowed). Supported for `elf`.                                  |
| filter[origin]         | array   | Filter by origin values (multiple values allowed). Supported for `elf`.                                         |
| filter[origin_version] | array   | Filter by origin version values (multiple values allowed). Supported for `elf`.                                 |
| filter[filename]       | string  | Filter by filename (single value). Supported for `js`, `elf`, and `ndk`.                                        |
| filter[debug_id]       | string  | Filter by debug ID (single value). Supported for `react`.                                                       |
| filter[gnu_build_id]   | string  | Filter by GNU build ID (single value). Supported for `elf`.                                                     |
| filter[go_build_id]    | string  | Filter by Go build ID (single value). Supported for `elf`.                                                      |
| filter[file_hash]      | string  | Filter by file hash (single value). Supported for `elf`.                                                        |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a paginated list of source maps.

| Parent field | Field                                  | Type            | Description                                                                 |
| ------------ | -------------------------------------- | --------------- | --------------------------------------------------------------------------- |
|              | data [*required*]                 | [ <oneOf>] | List of source map data objects.                                            |
| data         | Option 1                               | object          | JavaScript source map data object.                                          |
| Option 1     | attributes [*required*]           | object          | Attributes of a JavaScript source map.                                      |
| attributes   | absolute_path                          | string          | The absolute path to the minified JavaScript file.                          |
| attributes   | blob_storage_sourcemap_path            | string          | The path to the source map in blob storage.                                 |
| attributes   | build_id                               | string          | The build identifier.                                                       |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the source map was created.                              |
| attributes   | domain                                 | string          | The domain associated with the source map.                                  |
| attributes   | file_name                              | string          | The file name of the minified JavaScript file.                              |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | service                                | string          | The service name associated with the source map.                            |
| attributes   | size [*required*]                 | int64           | The size of the source map file in bytes.                                   |
| attributes   | variant                                | string          | The source map variant.                                                     |
| attributes   | version                                | string          | The version of the service associated with the source map.                  |
| attributes   | version_code                           | string          | The version code.                                                           |
| Option 1     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 1     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 2                               | object          | React Native source map data object.                                        |
| Option 2     | attributes [*required*]           | object          | Attributes of a React Native source map.                                    |
| attributes   | build_number                           | string          | The build number.                                                           |
| attributes   | bundle_name                            | string          | The bundle name.                                                            |
| attributes   | bundle_version                         | string          | The bundle version.                                                         |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the source map was created.                              |
| attributes   | debug_id                               | string          | The debug identifier (UUID format).                                         |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | platform                               | string          | The platform the source map was built for (e.g., `ios`, `android`).         |
| attributes   | service                                | string          | The service name associated with the source map.                            |
| attributes   | size [*required*]                 | int64           | The size of the source map file in bytes.                                   |
| attributes   | version                                | string          | The version of the service associated with the source map.                  |
| Option 2     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 2     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 3                               | object          | iOS dSYM source map data object.                                            |
| Option 3     | attributes [*required*]           | object          | Attributes of an iOS dSYM source map.                                       |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the source map was created.                              |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | size [*required*]                 | int64           | The size of the dSYM file in bytes.                                         |
| attributes   | uuids                                  | string          | The UUID(s) associated with the dSYM file.                                  |
| Option 3     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 3     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 4                               | object          | JVM (ProGuard/R8) mapping file data object.                                 |
| Option 4     | attributes [*required*]           | object          | Attributes of a JVM mapping file.                                           |
| attributes   | build_id                               | string          | The build identifier (UUID format).                                         |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the mapping file was created.                            |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | service                                | string          | The service name associated with the mapping file.                          |
| attributes   | size [*required*]                 | int64           | The size of the mapping file in bytes.                                      |
| attributes   | variant                                | string          | The build variant (e.g., `release`, `debug`).                               |
| attributes   | version                                | string          | The version of the service associated with the mapping file.                |
| attributes   | version_code                           | string          | The version code.                                                           |
| Option 4     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 4     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 5                               | object          | Flutter symbol file data object.                                            |
| Option 5     | attributes [*required*]           | object          | Attributes of a Flutter symbol file.                                        |
| attributes   | arch                                   | string          | The target CPU architecture.                                                |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the symbol file was created.                             |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | service                                | string          | The service name associated with the symbol file.                           |
| attributes   | size [*required*]                 | int64           | The size of the symbol file in bytes.                                       |
| attributes   | variant                                | string          | The build variant.                                                          |
| attributes   | version                                | string          | The version of the service associated with the symbol file.                 |
| Option 5     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 5     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 6                               | object          | ELF symbol file data object.                                                |
| Option 6     | attributes [*required*]           | object          | Attributes of an ELF symbol file.                                           |
| attributes   | arch                                   | string          | The target CPU architecture.                                                |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the symbol file was created.                             |
| attributes   | file_hash                              | string          | The SHA256 hash of the ELF file.                                            |
| attributes   | file_name                              | string          | The ELF file name.                                                          |
| attributes   | gnu_build_id                           | string          | The GNU build ID (UUID format).                                             |
| attributes   | go_build_id                            | string          | The Go build ID (UUID format).                                              |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | origin                                 | string          | The origin of the ELF file.                                                 |
| attributes   | origin_version                         | string          | The version of the origin package.                                          |
| attributes   | size [*required*]                 | int64           | The size of the ELF file in bytes.                                          |
| attributes   | symbol_source                          | string          | The source of the debug symbols.                                            |
| Option 6     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 6     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 7                               | object          | Android NDK symbol file data object.                                        |
| Option 7     | attributes [*required*]           | object          | Attributes of an Android NDK symbol file.                                   |
| attributes   | arch                                   | string          | The target CPU architecture.                                                |
| attributes   | build_id                               | string          | The build identifier (UUID format).                                         |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the symbol file was created.                             |
| attributes   | file_name                              | string          | The NDK library file name.                                                  |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | size [*required*]                 | int64           | The size of the symbol file in bytes.                                       |
| Option 7     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 7     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
| data         | Option 8                               | object          | IL2CPP mapping file data object.                                            |
| Option 8     | attributes [*required*]           | object          | Attributes of an IL2CPP mapping file.                                       |
| attributes   | build_id                               | string          | The build identifier (UUID format).                                         |
| attributes   | created_at [*required*]           | date-time       | The timestamp when the mapping file was created.                            |
| attributes   | mapkind [*required*]              | string          | The type of source map.                                                     |
| attributes   | size [*required*]                 | int64           | The size of the mapping file in bytes.                                      |
| Option 8     | id [*required*]                   | string          | The unique identifier of the source map.                                    |
| Option 8     | type [*required*]                 | enum            | The resource type for source map objects. Allowed enum values: `sourcemaps` |
|              | meta                                   | object          | Pagination metadata for the source maps list response.                      |
| meta         | page [*required*]                 | object          | Page information for the source maps list response.                         |
| page         | has_more_results [*required*]     | boolean         | Whether there are more results available beyond the current page.           |
| page         | total_filtered_count [*required*] | int64           | Total number of source maps matching the filter criteria.                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "absolute_path": "/js/bundle.min.js",
        "blob_storage_sourcemap_path": "org123/1.0.0/bundle.min.js.map",
        "build_id": "abc123",
        "created_at": "2024-01-01T00:00:00Z",
        "domain": "example.com",
        "file_name": "bundle.min.js",
        "mapkind": "js",
        "service": "my-web-service",
        "size": 1024,
        "variant": "release",
        "version": "1.0.0",
        "version_code": "100"
      },
      "id": "5",
      "type": "sourcemaps"
    }
  ],
  "meta": {
    "page": {
      "has_more_results": false,
      "total_filtered_count": 100
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="413" %}
Request Entity Too Large
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/sourcemaps/list" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
